Page MenuHomePhabricator

It should be possible to count errors via statsv in production
Closed, ResolvedPublic3 Story Points

Description

We added MinervaErrorLogSamplingRate to allow error logging via EventLogging, however per discussion in T203814 we have decided to only turn this on on the beta cluster.

However, it's important for us to know and be able to report on the number of errors.

To do this, we should safely use statsv

Acceptance criteria

  • Every time there is an error
  • As always this is feature flagged and set to false by default.
  • Configuring wgMinervaErrorLogSamplingRate has no impact on statsv error counting.
  • Verify that errors are counted properly beta cluster.

Developer notes

Update resources/skins.minerva.scripts/errorLogging.js handleError method so that a statsv counter is updated on every error when initialised.

For example:

mw.track( 'counter.MediaWiki.MinervaClientError', 1 ); // increment

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2018, 9:05 PM
Jdlrobson triaged this task as Normal priority.Sep 26 2018, 11:14 PM
ovasileva set the point value for this task to 3.Oct 2 2018, 4:12 PM
Jdlrobson raised the priority of this task from Normal to High.
Jdlrobson added a subscriber: ovasileva.

^ @ovasileva ready to work on, smallish and seems more important than other items in todo with equal complexity (3 points). lemme know if you disagree.

^ @ovasileva ready to work on, smallish and seems more important than other items in todo with equal complexity (3 points). lemme know if you disagree.

sounds good

Change 464723 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Errors can be counted in statsv

https://gerrit.wikimedia.org/r/464723

Piotr will review today

Change 465284 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Beta: enable errors counting via statsv by Minerva skin

https://gerrit.wikimedia.org/r/465284

Change 465284 merged by jenkins-bot:
[operations/mediawiki-config@master] Beta: enable errors counting via statsv by Minerva skin

https://gerrit.wikimedia.org/r/465284

pmiazga updated the task description. (Show Details)Oct 8 2018, 9:43 PM

Change 464723 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Errors can be counted in statsv

https://gerrit.wikimedia.org/r/464723

nray claimed this task.Oct 8 2018, 10:37 PM
nray added a subscriber: pmiazga.
nray closed this task as Resolved.Oct 12 2018, 3:42 PM
nray updated the task description. (Show Details)

Change 467984 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Hygiene: Track minerva errors count only once

https://gerrit.wikimedia.org/r/467984

This comment was removed by pmiazga.